#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%bcond_without qt5

%define rel 1

Summary:        Small system to administer web accounts across the KDE desktop
Name:           kaccounts-integration
Version: 24.02.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/categories/internet/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Declarative)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Package)

BuildRequires:  cmake(SignOnQt6)
BuildRequires:  cmake(AccountsQt6)
BuildRequires:  cmake(QCoro6)

%if %{with qt5}
BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Package)

BuildRequires:  cmake(SignOnQt5)
BuildRequires:  cmake(AccountsQt5)
BuildRequires:  cmake(QCoro5)
%endif

Requires:       %{name}-i18n >= %{version}
# add some required packages,
# see mga#17528#c83
Requires:       signon-plugin-oauth2
Requires:       signon-kwallet-extension
# see mga#25441#c9
Requires:       signond
Requires:       kaccounts-providers
Requires:       accounts-qml-module


%description
Small system to administer web accounts across the KDE desktop.

%files
%_qt6_plugindir/plasma/kcms/systemsettings/kcm_kaccounts.so
%_kf6_plugindir/kded/kded_accounts.so
%_qt6_plugindir/kaccounts/daemonplugins/kaccounts_kio_webdav_plugin.so
%_kf6_qmldir/org/kde/kaccounts/
%_kf6_applicationsdir/kcm_kaccounts.desktop

#--------------------------------------------------------------------

%package i18n
Summary:        Translation files for %{name}
Group:          System/Libraries
BuildArch:      noarch

# ease upgrade mga9 -> mga10
Conflicts:      kaccounts-integration < 24.01.85-2

%description i18n
This package contains translation files for %{name}.

%files i18n -f %{name}.lang

#------------------------------------------------

%define kaccounts6_major 2
%define libkaccounts6 %mklibname kaccounts6_ %{kaccounts6_major}

%package -n %libkaccounts6
Summary:        Small system to administer web accounts across the KDE desktop (Qt6)
Group:          System/Libraries
#Requires:       %%{name} >= %%{version}-%%{release}

%description -n %libkaccounts6
Small system to administer web accounts across the KDE desktop.

%files -n %libkaccounts6
%_kf6_libdir/libkaccounts6.so.%{kaccounts6_major}
%_kf6_libdir/libkaccounts6.so.%{version}

#--------------------------------------------------------------------

%define kaccounts6_devel %mklibname kaccounts6 -d

%package -n %kaccounts6_devel
Summary:        Devel stuff for %name (Qt6)
Group:          Development/KDE and Qt
#Requires:       %%name = %%version-%%release
Requires:       %libkaccounts6 = %version-%release
Provides:       %name-devel = %{version}-%{release}
Provides:       %name-qt6-devel = %{version}-%{release}

%description -n %kaccounts6_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kaccounts6_devel
%_includedir/KAccounts6/
%_kf6_libdir/cmake/KAccounts6/
%_kf6_libdir/libkaccounts6.so

#--------------------------------------------------------------------
%if %{with qt5}

%package -n %{name}-qt5
Summary:        Small system to administer web accounts across the KDE desktop (Qt5)
Group:          System/Libraries
Requires:       %{name}-i18n >= %{version}

%description -n %{name}-qt5
Small system to administer web accounts across the KDE desktop.

%files -n %{name}-qt5
%_kf5_qmldir/org/kde/kaccounts/

#--------------------------------------------------------------------

%define kaccounts5_major 2
%define libkaccounts5 %mklibname kaccounts %{kaccounts5_major}

%package -n %libkaccounts5
Summary:        Small system to administer web accounts across the KDE desktop (Qt5)
Group:          System/Libraries

%description -n %libkaccounts5
Small system to administer web accounts across the KDE desktop.

%files -n %libkaccounts5
%_kf5_libdir/libkaccounts.so.%{kaccounts5_major}
%_kf5_libdir/libkaccounts.so.%{version}

#--------------------------------------------------------------------

%define kaccounts_devel %mklibname kaccounts -d

%package -n %kaccounts_devel
Summary:        Devel stuff for %name (Qt5)
Group:          Development/KDE and Qt
Requires:       %libkaccounts5 = %version-%release
Provides:       %name-qt5-devel = %{version}-%{release}

%description -n %kaccounts_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kaccounts_devel
%_includedir/KAccounts/
%_kf5_libdir/cmake/KAccounts/
%_kf5_libdir/libkaccounts.so

%endif
#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
mkdir %{name}_qt5 %{name}_qt6

%if %{with qt5}
pushd %{name}_qt5
%cmake_kf5 -DKF6_COMPAT_BUILD=ON -S ..
%cmake_build
popd
%endif

pushd %{name}_qt6
%cmake_kf6 -S ..
%cmake_build
popd

%install
%if %{with qt5}
pushd %{name}_qt5
%cmake_install
popd
%endif

pushd %{name}_qt6
%cmake_install
popd

%find_lang %{name} --all-name --with-html


%changelog
* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058548
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045094
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037592
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033720
- New version 24.01.90

* Sun Jan 07 2024 daviddavid <daviddavid> 24.01.85-2.mga10
+ Revision: 2028465
- enable also the Qt5 support for kf5-purpose

* Wed Jan 03 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2026421
- New version 24.01.85

* Thu Nov 16 2023 daviddavid <daviddavid> 24.01.75-2.mga10
+ Revision: 2007233
- fix dependencies for bootstrap mode

* Thu Nov 16 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007226
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989544
- New version 23.08.1

* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1959143
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946433
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941727
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922846
- New version 22.12.0

* Wed Nov 30 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1913176
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905193
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886714
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880696
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873009
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853903
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849409
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1846218
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763794
- New version 21.12.0
- New version 21.11.90
- Add kaccounts-providers as minimal require, if we want to have acces to some provides ( and have this too useful)

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724000
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718291
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698488
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694027
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655549
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643935
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633741
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1626993
- New version 20.08.1

* Thu Aug 20 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1616407
- New version 20.08.0

* Sat Jul 11 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1605094
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596789
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584440
- New version 20.04.1

* Sat Apr 18 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1569261
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559261
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-3.mga8
+ Revision: 1540627
- Mageia 8 Mass Rebuild

* Sun Feb 16 2020 daviddavid <daviddavid> 19.12.2-2.mga8
+ Revision: 1532263
- depends on accounts-qml-module

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513231
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sun Dec 15 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1468031
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457835
- New version 19.08.3

* Sun Oct 06 2019 daviddavid <daviddavid> 19.08.1-2.mga8
+ Revision: 1449890
- add missing dependency on signond (mga#25441)

* Thu Sep 26 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446341
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424928
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390383
- New version 19.04.0
- New version 19.04.00

* Fri Apr 12 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1389038
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1381966
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375467
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365502
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356438
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339451
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332682
- New version 18.08.3
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298413
- Mageia 7 Mass Rebuild

* Sat Jun 30 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1240844
- New version 18.04.1

* Sat Mar 24 2018 neoclust <neoclust> 17.12.2-2.mga7
+ Revision: 1211786
- Add conflict to ease upgrade

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201832
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194856
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186393
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1142977
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136713
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-3.mga7
+ Revision: 1133480
- Fix for new find_lang
- Fix for new find_lang

* Wed Jul 26 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1130879
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090013
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076748
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071963
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067281
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061340
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050607
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047235
- New version 16.08.0

* Fri Jul 15 2016 daviddavid <daviddavid> 16.04.3-2.mga6
+ Revision: 1042224
- requires signon-kwallet-extension and signon-plugin-oauth2 (fixes mga#17528#c83)

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040002
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012492
- New version 16.04.1

* Sun May 01 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1008444
- New version 16.04.0
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991132
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987400
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922570
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911903
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905365
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901101
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 891119
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880394
- New version 15.08.1

* Thu Aug 27 2015 neoclust <neoclust> 15.08.0-2.mga6
+ Revision: 870329
- Remove wrong patch

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865912
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863928
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861725
- New version 15.07.90

* Fri Jul 31 2015 wally <wally> 15.07.80-2.mga6
+ Revision: 860144
- add patch to fix paths in CMake files

* Fri Jul 31 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859328
- New version 15.07.80

* Sun Jul 19 2015 neoclust <neoclust> 15.04.3-2.mga6
+ Revision: 855266
- Rebuild with correct name

* Sun Jul 19 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 855253
- imported package kaccounts-integration

